package com.migao.entity.po;

import com.baomidou.mybatisplus.annotation.*;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @author dingsong
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Entity
@Table(name = "t_company_evaluation")
@org.hibernate.annotations.Table(appliesTo = "t_company_evaluation", comment = "公司评价")
@TableName("t_company_evaluation")
public class CompanyEvaluation implements Serializable {
    @Id
    @TableId(type = IdType.ASSIGN_ID)
    @GeneratedValue(generator = "snowFlake")
    @GenericGenerator(name = "snowFlake", strategy = "com.migao.config.jpa.SnowIdentityGenerator")
    @Column(name = "id", columnDefinition = "bigint(20) comment '主键'")
    private Integer id;

    @Column(name = "company_id", columnDefinition = "bigint(20) comment '公司id'")
    private Integer companyId;

    @Column(name = "company_evaluation", columnDefinition = "varchar(255) comment '公司评价'")
    private String companyEvaluation;

    @TableField(fill = FieldFill.INSERT_UPDATE)
    @Column(name = "deleted", columnDefinition = "tinyint(4) comment '逻辑删除 0未删除 1已删除'")
    private Integer deleted;

    @Column(name = "create_time", columnDefinition = "timestamp DEFAULT CURRENT_TIMESTAMP comment '创建时间'")
    private LocalDateTime createTime;

    @JoinColumn(name = "create_user_id", columnDefinition = "bigint(20) comment '新增人'")
    private Integer createUserId;
}
